CHGRP(1)

NAZWA
chgrp - zmienia grupę właścicieli plików

SKŁADNIA
chgrp [OPCJA]... GRUPA PLIK...
chgrp [OPCJA]... --reference=PLIK-WZORC PLIK...

OPIS

Zmienia grupę każdego PLIKU na GRUPĘ. Z opcją --reference, zmienia grupę każdego PLIKU na grupę PLIKU-WZORC.

-c, --changes
    podobnie jak opcja --verbose, ale informuje tylko o dokonanych zmianach

-f, --silent, --quiet
    wyłącza wyświetlanie większości komunikatów o błędach

-v, --verbose
    wyświetla informacje diagnostyczne o każdym przetwarzanym pliku

--dereference
    działa na plikach wskazywanych przez dowiązania symboliczne (tak jest domyślnie), zamiast na samych dowiązaniach

-h, --no-dereference
    działa na dowiązaniach symbolicznych zamiast na plikach, na które one wskazują (użyteczne tylko w systemach, które potrafią zmienić właściciela dowiązania symbolicznego)

--no-preserve-root
    nie traktuje katalogu głównego / w sposób specjalny (domyślnie)

--preserve-root
    odmawia działania rekurencyjnego na /

--reference=PLIK-WZORC
    używa grupy PLIK-WZORC, zamiast wprost podanej GRUPY. Nazwa PLIKU-WZORC jest zawsze tłumaczona, jeśli jest dowiązaniem symbolicznym.

-R, --recursive
    działa rekurencyjnie na plikach i katalogach

Następujące opcje modyfikują sposób, w jaki program przemieszcza się po hierarchii katalogów, jeśli podano także opcję -R. Jeśli podano kilka opcji, używana jest ostatnia z podanych.

-H  jeśli argument wiersza poleceń jest dowiązaniem symbolicznym do katalogu, podąża za nim

-L  podąża za każdym napotkanym dowiązaniem symbolicznym do katalogu

-P  nie podąża za żadnymi dowiązaniami symbolicznymi (domyślnie)

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

PRZYKŁADY

chgrp staff /u
    Zmienia grupę /u na "staff".

chgrp -hR staff /u
    Zmienia grupę /u i wszystkich plików w tym katalogu na "staff".

AUTOR
Napisane przez Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
chown(1), chown(2)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/chgrp>
lub lokalnie, za pomocą info 'coreutils) chgrp invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.